######################################################################
# gene-exon-probeset reports 
# M Okoniewski, March 2007
######################################################################
.all.exons <- function(geny, mt,probes.min=4) # x - expression table, not object
{
   pp <- .vector.to.commalist(geny)
   if (is.null(.ExonmapHost)) stop("Xmap database not initialized yet!")
   if(!mt) {
     proc <- paste ("CALL xmap_geneToExonProbeset('",pp,"')",sep="")
   }
   else {
     stop("This feature is currrently not supported.")
     proc <- paste ("CALL xmap_geneToExonProbesetMT('",pp,"')",sep="")
   }
   data <-  .doStoredProcedureFetch( proc )

   if (dim(data)[1]>0)
   {   
      idx <- which (data[,"probe_count"]>=probes.min)
      idx <- unique(idx)
      data<- data[idx, ]
   }
data
}

gene.to.exon.probeset <- function(genes, mt=FALSE,probes.min=4) 
{
out <- NULL
gene.list <- .split.vector(genes)
for (i in 1:length(gene.list))
  {
    out <- rbind(out, .all.exons(gene.list[[i]], mt=mt,probes.min= probes.min) )
  }
out
}
      
gene.to.exon.probeset.expr <- function(x, genes, mt=FALSE, probes.min=4)
{
    out <- NULL
    data <- NULL
    xx <- exprs(x)
    data <- gene.to.exon.probeset(genes, mt, probes.min=probes.min)
    data <- data[data[,"probeset_name"] %in% rownames(xx),]
    if (dim(data)[1]>0)
    {
    pss <- data[,"probeset_name"]
    loc.exp <- xx[pss,]
    row.names(loc.exp) <- NULL
    if (dim(data)[1]==1) out <- unlist(c(loc.exp,data))
    else out <- cbind(loc.exp,data)
    }
    out
}



