.splicing.index.affy <- function(x, gene,group,members, median.gene=TRUE)
{ 
  tr1 <- group.indices(x, group,members[1]) 
  tr2 <- group.indices(x, group,members[2]) 
  tr <- c(tr1, tr2)
  si <- NULL
  table <- gene.to.exon.probeset.expr(x, gene)
  table <- .unique.gene.exon(table)
  if (!is.vector(table) & !is.null(table)) 
    {
    gle <- vector(length=length(tr1) + length(tr2))  # 
    gle[1:(length(gle))] <- 0
    #unlog'em'all
    table[,tr] <- 2^(table[,tr])
    if (median.gene)
    { 
      for (t in tr) 
      {
      gle[t] <- median(as.matrix(table[,t]))
      }
    }
    else
    {
      for (t in tr) 
      {
      gle[t] <- mean(as.matrix(table[,t]))
      }
    }
    for (t in tr) 
    {
     table[,t]=table[,t]/gle[t]
    }
    si <- NULL
    for (p in rownames(table)) 
    {
    si <- c(si,log2(mean(as.numeric(table[p,tr1]))/mean(as.numeric(table[p,tr2]))))
    }
    fac <- pData(x)[,group]
    pvals <-  rowttests(as.matrix(table[,tr]),fac)$p.value

     names(si) <- table[, "probeset_name"]
     names(pvals) <- table[, "probeset_name"]
     out <- NULL
     out$si <- si
     out$pvals <- pvals
     si <- out
    }
  si
}
.splicing.index <- function(x, gene,group,members, median.gene=TRUE, vector.out=FALSE)
{ 
  tr1 <- group.indices(x, group,members[1]) 
  tr2 <- group.indices(x, group,members[2]) 
  si <- NULL
  table <- gene.to.exon.probeset.expr(x, gene)
  table <- .unique.gene.exon(table)
  if (!is.vector(table) & !is.null(table)) 
    {
    if (median.gene)
    {
      gle1 <- log2(median(2^(as.matrix(table[,tr1]))))
      gle2 <- log2(median(2^(as.matrix(table[,tr2]))))
    }
    else
    {
      gle1 <- log2(mean(2^(as.matrix(table[,tr1]))))
      gle2 <- log2(mean(2^(as.matrix(table[,tr2]))))
    }
    corfact <- gle1 - gle2
    if (length(tr1)>1) indexp1 <- log2(apply(2^table[,tr1], 1, mean))
    else indexp1 <- table[,tr1]
    if (length(tr2)>1) indexp2 <- log2(apply(2^table[,tr2], 1, mean))
    else indexp2 <- table[,tr2]
    si <-  indexp1 -indexp2 - corfact
    if (!vector.out) si <- cbind(si, table)
    else names(si) <- table[, "probeset_name"]
    }
  si
}

splicing.index <- function(x, genes, group, members, median.gene=TRUE, vector.out=TRUE, by.chip=FALSE)
{
  out <- NULL
  if (!by.chip)
  {
  for (i in 1:length(genes))
  { 
    tmp.table <- .splicing.index (x, genes[i],group,members, median.gene=median.gene, vector.out=vector.out)
     if (!vector.out & !is.null(tmp.table)) out <- rbind(out, tmp.table)
     if (vector.out & !is.null(tmp.table)) out <- c(out, tmp.table)
  }
  }

  if (by.chip) 
  {
  out$si <-NULL
  out$pvals <- NULL
  for (i in 1:length(genes))
  { 
    tmp.table <- .splicing.index.affy (x, genes[i],group,members, median.gene=median.gene)
     out$si <- c(out$si, tmp.table$si)
     out$pvals <- c(out$pvals, tmp.table$pvals)
  }
  }



  out
}

.unique.gene.exon <- function(table)
{
  out <- NULL
  if (class(table)=="data.frame")
  {
    for (p in unique(table[,"probeset_name"]))
    {
       i <- which(table[,"probeset_name"]==p)[1]
       out <- rbind(out, table[i,])
    }
  }
  else out <- table
  out
}
