\name{PC-class}
\docType{class}
\alias{PC-class}
\alias{[<-,PC-method}
\alias{[,PC-method}
\alias{fc,PC-method}
\alias{tt,PC-method}

\title{Class "PC" represents the result of a simple pairwise comparison between two groups of arrays }
\description{ Contains two slots -  one for fold changes, one for t test p-scores}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("PC", ...)}.
}
\section{Slots}{
	 \describe{
    \item{\code{fc}:}{Object of class \code{"numeric"} log2 fold changes }
    \item{\code{tt}:}{Object of class \code{"numeric"} t test p scores }
  }
}
\section{Methods}{
  \describe{
    \item{[<-}{\code{signature(x = "PC")}: Not supported }
    \item{[}{\code{signature(x = "PC")}: subset by probeset }
    \item{fc}{\code{signature(object = "PC")}: fold change accessor }
    \item{tt}{\code{signature(object = "PC")}: t-test p score accessor }
	 }
}
\author{ Crispin J. Miller }

\examples{
  \dontrun{
    r <- pc(x,"group",c("a","b"))
  }
}
\keyword{classes}
