\name{Splanova-class}
\docType{class}
\alias{Splanova-class}
\alias{fval,Splanova-method}
\alias{sig,Splanova-method}

\title{Class "Splanova" represents the result of a splicing anova calculations}
\description{ Contains two slots -  one for F-test p-scores, one for significance}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("Splanova", ...)}.
}
\section{Slots}{
	 \describe{
    \item{fval:}{Object of class \code{"numeric"} p-values}
    \item{sig:}{Object of class \code{"numeric"} significant cases}
  }
}
\section{Methods}{
  \describe{
    \item{fval}{\code{signature(object = "Splanova")}: F-test p-value accessor }
    \item{sig}{\code{signature(object = "Splanova")}: significance accessor }
	 }
}
\author{ Michal J. Okoniewski }

\examples{
  \dontrun{
    gg <- probeset.to.gene(c("2326780","2326822" ))
    spl.multi <-  splanova(x.rma, gg, "group", "a", thr=0.05, debug=4)
    fval(spl.multi)
    sig(spl.multi)
  }
}
\keyword{classes}
