\name{array.subset}
\alias{array.subset}
\alias{array.subset,AffyBatch-method}
\alias{array.subset,exprSet-method}
\title{ Given an expression object get a particular subset of arrays defined by the phenoData}
\description{
   Looks up the column named 'group' in the phenoData object to find members with a particular name and returns the specified arrays
} 

\usage{ 
  array.subset(x,group,members)
}
\arguments{
  \item{x}{ expression data }
  \item{group}{ the column to select on }
  \item{members}{vector of column entries to pick }
}
\details{ }
\value{
  An object with only the selected arrays in 
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Crispin Miller }
\seealso{ \code{\link{group.indices}}}
\keyword{ misc }
\examples{ 
  \dontrun{
    array.subset(exprs,"group",c("a",b"))
  }
}
