\name{gene.details}
\alias{gene.details}
\alias{transcript.details}
\alias{exon.details}

\title{ Use the X:MAP database to get detailed annotation for genes, transcripts and exons }
\description{
  Given an Ensembl gene,transcript or exon id, as appropriate, returns a data.frame giving detailed annotation - one row per element.
}
\usage{
gene.details(X)
transcript.details(X)
exon.details(X)
}

\arguments{
\item{X}{ a vector of the Ensembl gene/transcript/exon ids, as appropriate, to look up in the database}
}
\details{ 
   Connects to X:MAP and returns a data.frame containing annotation details for the genes of interest.
}
\value{
  A dataframe.
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski, Crispin Miller }

\keyword{ misc }
\examples{ 
  \dontrun{
    gene.details("ENSG00000146556")
  }
}
