\name{pc}
\alias{pc}
\alias{fc}
\alias{tt}

\title{ Simple pariwise comparisons on exon expression data }
\description{
   Get fold change t test p score for each probeset between a pair of arrays.
} 

\usage{ 
 pc(x,group,members)
 fc(object)
 tt(object)
}
\arguments{
  \item{x}{ expression data }
  \item{group}{ the column to select on }
  \item{members}{vector of length 2 of column entries to compare between }
  \item{object}{a pairwise comparison object of class \code{PC} as produced by \code{pc}}
}
\details{ 
   Takes the expression data in x, use the column named 'group' in its phenotypic data and compare between
the two groups of arrays defined by 'members'. fc,tt can be used to extract the fold chages and p-scores out of the resultant object.
 
}

\value{
  A PC object
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Crispin Miller }
\seealso{ \code{\link{group.indices}}}
\keyword{ misc }
\examples{ 
  \dontrun{
    r <- pc(exprs,"group",c("a",b"))
    fc(r)[1:1000]
    tt(r)[1:1000]
  }
}
