\name{probeset.stats}
\alias{probeset.stats}

\title{ Generates summary statistics showing intron, exon and gene hits for the spefied probeset list }
\description{
   Each column represent the uniqueness of a probesets' hits to the genome, to exons and to introns.
   Each value in a column can be 0,1, or another positive number. If
0, at least one of the probesets does not hit. If 1, all probesets hit
exactly once. Any other number represents one or more probesets that
hit in more than one place. 


} \usage{ 
  probeset.stats(probesets) 
}
\arguments{
  \item{probesets}{ a probeset list }
}
\details{ }
\value{
  A data frame with  gene, exon and intron matches for each probeset.
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }

\seealso{  \code{\link{select.probewise}}    \code{\link{exclude.probewise}}}
\keyword{ misc }
\examples{ 
  \dontrun{
    probesets <- gene.to.probeset("ENSG00000005893"); 
    probeset.stats(probesets)
  }
}
