\name{probesets.in.range}
\alias{probesets.in.range}
\alias{probes.only.in.range}
\alias{exons.in.range}
\alias{transcripts.in.range}
\alias{genes.in.range}

\title{ Find probesets, transcripts, exons and genes by location }
\description{
  Given a start and end point, a strand, and a chromosome, find the probesets that hit within that region / any genes that occur there.
}
\usage{
probesets.in.range(start, stop, strand, chr)
exons.in.range(start, stop, strand, chr)
transcripts.in.range(start, stop, strand, chr)
genes.in.range(start, stop, strand, chr)
probes.only.in.range(start, stop, strand, chr)
}

\arguments{
  \item{start}{ Beginning of the region on a chromosome}
  \item{stop}{ End of the region on a chromosome}
  \item{strand}{ 1 is forward strand, -1 is reverse strand}
  \item{chr}{Chromosome name - should be a character}
}
\details{ }
\value{
  Returns all the probesets/genes that match to a given genomic region. 
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }


\keyword{ misc }
\examples{ 
  \dontrun{
   probesets <- probesets.in.range(80000,1600000,1,"1");
   exonics <- select.probewise( probesets , filter="exonic")

}
}
