\name{read.exon}
\alias{read.exon}

\title{ Read a Set of .CEL Files and Phenotypic Data representing exon arrays}
\description{
 Reads the specified file, which defines an AnnotatedDataFrame for a
 set of .CEL files. Reads the specified files into an \code{\link[affy]{AffyBatch}} object and
 then creates an \code{\link[Biobase]{AnnotatedDatabaframe}} object, defining the experimental factors 
 for those chips.
}
\usage{
read.exon(covdesc = "covdesc",path=".", ...)
}

\arguments{
  \item{covdesc}{ 
    A white space delimited file suitable for reading as a \code{\link{data.frame}}. The first column (with no column name)  
     contains the names(or paths to) the .CEL files to read. Remaining columns (with names) represent experimental factors
     for each chip. these become elements of the \code{\link[Biobase]{AnnotatedDataFrame}} object.
  }
  \item{\dots}{ extra functions to pass on to \code{ReadAffy} }
  \item{path}{ The path to prefix the filenames with before calling \code{ReadAffy} }
}
\details{ }
\value{
  An AffyBatch object
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Crispin J Miller }

\seealso{ \code{\link[affy]{ReadAffy}}, \code{\link[affy]{AffyBatch}} \code{\link{data.frame}} \code{\link[Biobase]{AnnotatedDataFrame}}}
\keyword{ misc }
\examples{ 
  \dontrun{
    eset <- read.exon(); # read a set of CEL files
  }
}
