\name{select.probewise}
\alias{select.probewise}
\alias{exclude.probewise}
\alias{probesets.in.eset}
\title{ Filtering of lists of probesets}
\description{
 Selects or removes probeset from a probeset list based on their specificity to the genome.
}
\usage{
    exclude.probewise(X,filter=c("exonic","intronic","intergenic","multitarget"), mt.level=1) 
    select.probewise(X,filter=c("exonic","intronic","intergenic","multitarget"), mt.level=1) 
    probesets.in.eset(X,data)
}

\arguments{
  \item{X}{ Probeset list }
  \item{filter}{Type of the filter to be applied: 'exonic' probesets that match only exons, 'intronic' probesets 
that match only introns, 'multitarget', probesets that hit in more than one place, 'intergenic' - probesets that match only regions between genes, 'nulltarget', probesets that match nowhere }
  \item{mt.level}{ multi-target score to filter by }
  \item{data}{ An ExpressionSet object }
}
\details{ }
\value{
  Vector of probeset names after filtering. \code{probesets.in.eset} returns only those probesets in the list that are defined in the ExpressionSet.
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }

\seealso{  \code{\link{probeset.stats}}}
\keyword{ misc }
\examples{ 
  \dontrun{
    probesets <- gene.to.probeset("ENSG00000005893"); 
    exonics   <- select.probewise(probesets, filter="exonic")
    intronics <-  select.probewise(probesets, filter="intronic")   
  }
}
