\name{xmapDatabase}
\alias{xmapDatabase}
\alias{xmapExtras}
\alias{dbMouse}
\alias{dbHuman}
\alias{showXmapDatabase}

\title{ Switching between databases}
\description{
 Switches to use either the mouse or human genomic X:MAP databases 
}
\usage{
  xmapDatabase(db=c("Human", "Mouse","Rat"))
  showXmapDatabase()
  xmapExtras(db)
}
\arguments{
  \item{db}{ Choose either the human or mouse database. }
}

\details{ Reads the ncessary parameters to establish a connection to the X:MAP database from a configuration file.
Details of these files, their location and their syntax can be found in the installation instructions accompanying the package.
Current database settings may be viewed with  \code{showXmapDatabase}.

This function has to be called before running any of the database-related functions of exonmap. 

\code{xmapExtras}, called after \code{xmapDatabase} adds the EST database (other features). It has 
to be run before using any functions related to ESTs. ESTs require the
other features database to be installed. When called with no 
parameters, the function guesses the name of the other
features database.
}

\value{
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }


\keyword{ misc }
\examples{ 
  \dontrun{
    xmapDatabse("Human")
    showDatabase()
    xmapExtras("homo_sapiens_otherfeatures_43_36e")
  }
}
