\name{xmapGene}
\alias{xmapGene}
\alias{xmapTranscript}
\alias{xmapExon}
\alias{xmapProbeset}

\title{ Linking to X:MAP browser }
\description{
 Displays gene/transcript/exon/probeset in a web browser window using X:MAP browser.
}
\usage{
xmapGene(x)
xmapTranscript(x)
xmapExon(x)
xmapProbeset(x)
}
\arguments{
  \item{x}{ Database identifier }
}

\details{ The function attempts to open a new window using the default web browser, pointing at the X:MAP website for the item of interest. 
In cases when the identifier is ambiguous (i.e., it matches multiple locations in the genome)
or is incorrect, a warning message is issued.

The function \code{\link[exonmap]{xmapBridge}} can also display expression data in the X:MAP
browser. See the manpage for more details.
}

\seealso{
  \code{\link[exonmap]{xmapBridge}}
}
\value{
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Michal Okoniewski }


\keyword{ misc }
\examples{ 
  \dontrun{
    xmapGene("ENSG00000146556")
  }
}
